<template>
  <div>
    <h1 class="mb-8">Have you noticed any of the following since starting to lose your hair? </h1>
    <div class="space-y-3 mb-3">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="radioSelected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <common-btn
      text="Next"
      :disabled="!radioSelected"
      @click="handleClick"
    />
  </div>
</template>

<script>
import {answersMixin, radioMixin, referMixin} from "@/utils/mixins";
import {constants} from "@/constants";

export default {
  mixins: [answersMixin, radioMixin, referMixin],
  name: "YourHealth3",
  data() {
    return {
      choices: [
        'Increased hair growth on other parts of your body such as your face, arms, back, or chest',
        'A deepening of your voice',
        'Recent enlargement of your clitoris',
        constants.NONE_CHOICE,
      ],
      radioHandler: newVal => {
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_3')
      }
    }
  },
  methods: {
    handleClick() {
      if (this.radioSelected !== constants.NONE_CHOICE) {
        this.setRefer('We’ve hit a minor road bump.', '')
      } else {
        this.nextStage()
      }
    }
  }
}
</script>

<style scoped>

</style>
